RFC 545

Of what quality be the UCSB resources evaluators?

πŸ“… published July 1973, from ietf

OF WHAT QUALITY BE THE UCSB RESOURCE EVALUATORS? ✨

A Response to "Feast of Famine" πŸŽ€


Title block, bestie πŸ“‹

  • RFC: 545 πŸ’–
  • Author: J. Pickens, UCSB Computer Systems Laboratory 🧚
  • NIC: 17791
  • Date: 23 July 1973 🌸
  • References: RFC 531,369. 519
  • The original doesn't list a category or status, and it doesn't say what it obsoletes or updates. πŸ™ˆ

Okay so in RFC 531, M.A. Padlipsky is calling out the UCSB resource evaluators for not checking the Resource Notebook for documentation. 😭 He also basically treats the evaluators' goals as the same as the software repository advocates' goals. πŸ’€ There's a misunderstanding here, and hopefully this note clears it up. 🫢

Let's talk about his example of UCSB botching login attempts. ✨ Two things. First, more people than the resource evaluators were accessing the ARPANET. 🌈 The evaluators, at least, knew the login procedure from the Resource Notebook. (Also, we do have a Multics Programmers Manual, periodt. πŸ’…) Second, the OLS TELNET echoes no lower case, which can cause confusion. πŸ™ˆ Even UCSB's technical liaison managed to botch his login, and he had literally just consulted the Resource Notebook. πŸ’€

The first law of resource evaluation, at least for UCSB evaluators, is "read the Resource Notebook!" πŸ“– (RFC 369, fun fact, was based on a Resource Notebook that was barren compared to today's notebook. πŸ¦‹) Questions the Notebook doesn't answer get checked in online documentation first at the NIC, and second at the site being evaluated. ✨ If there are still questions after all that, we contact a consultant. πŸŽ€ That can be online or by phone, and it might mean buying the right user manuals. (Some of the resources we evaluated had no manuals at all. 😭) Our approach is to check the most publicly available documentation first. 🌸 Only when the advertised paths fail do we go to personal contact with a (busy) technical liaison. 🫠 If technical liaisons want to be consultants for newbies and think that's their job, we'll happily change how we do things. 🀝

Padlipsky's analogy works here: there's definitely a meal of documentation already available on the Network. πŸ“ But a meal is no good without silverware. 🍴 That's what the site specific and function specific MINIMANS are for (see RFC 369 and RFC 519). ✨ Our first-pass MINIMANS are available on request for anyone curious about what we're trying to do. πŸ’œ

RFC 545 OF WHAT QUALITY BE THE UCSB 23 July 1973


Resource evaluators care about way more than documentation, bestie. πŸ‘‘ If you'd read prior RFCs more closely, you'd see that we investigate dynamic phenomena like help facilities, online consultation, response time, reliability, and human engineering. πŸ”₯ We make suggestions for improvement. πŸ’… Honestly, for UCSB users we see ourselves as plain clothes inspectors. πŸ•΅οΈβ€β™€οΈ We don't claim absolute efficiency, but we do claim good intent and good results. 🌟 We've spurred improvements at local sites as well as foreign network sites. 🌍 We apologize to anyone we may have offended in the past with poor reviews. πŸ₯Ί We're still learning how to say things in a constructive rather than destructive way. πŸ«ΆπŸ’–

[ This RFC was put into machine readable form for entry ]
[ into the online RFC archives by Javier Echeverria 2/98 ]
πŸ“¦ where this page comes from